//comboboxloadtext.cpp

#include <qcombobox.h> 
#include <qlineedit.h>
#include <qfile.h> 
#include <qtextstream.h> 

#include "comboboxloadtext.h"

ComboBoxLoadText::ComboBoxLoadText( bool rw, QWidget *parent, const char *name, QString fn  ) 
	: QComboBox( rw, parent, name ), _file( fn ) 
{
  setEditable( true );
  setMaxCount( 10 );
  setSizeLimit( 10 );
  setDuplicatesEnabled( false );
  setInsertionPolicy( AtTop );
}

void ComboBoxLoadText::load()
{
  QString buff;
  QFile f( _path );
  if ( !f.open( IO_ReadOnly ) )
    return;
  QTextStream t( ( QIODevice* )&f );
  while( buff = t.readLine() )
    if( !buff.isEmpty() )
      {
	buff = buff.stripWhiteSpace();
	insertItem( buff );
      }
  f.close();
  insertItem( "", 0 );
}

void ComboBoxLoadText::save()
{
  int j = 1, k = 0;
  bool flagNewElementAlreadyExists = false;
 
  if( lineEdit()->text().isEmpty() )
    return;
  
  while( j < count() )
    {
      if( text( j ) == lineEdit()->text() )
	{
	  flagNewElementAlreadyExists = true;
	  k = j;
	  j = count();
	}
      j++;
    }
  QFile f( _path );
  QTextStream t( &f );
  if ( !f.open( IO_WriteOnly ) )
    return;
  j =  count() < 10 ? count() : 10;
  if( !flagNewElementAlreadyExists )
    { 
      t << lineEdit()->text() << endl;
      for(int i = 1; i < j; i++ )
	t << text( i ) << endl;  
    }
  else 
    {
      t << text( k ) << endl; 	  
      for( int i = 1; i < j; i++ )
	if( i != k )
	  t << text( i ) << endl;
    }
  f.close();
}

void ComboBoxLoadText::setPath( QString p )
{
  _path = p + _file;
}
