//filetransferlistview.h

#ifndef FILETRANSFERLISTVIEW_H
#define FILETRANSFERLISTVIEW_H

#include <qlistview.h>
#include <qpopupmenu.h>

class QValuelist;
class QPoint;
class QString;
class FileTransferListViewItem;

class FileTransferListView : public QListView
{ 
  Q_OBJECT

public:
  FileTransferListView( QWidget *parent = 0, const char *name = 0 );
  
public slots:
  void slotInsertItem( const QString &filename );
  void slotUppdateItem( const QString &filename, int bytesDone, int bytesTotal );
  void slotRightPressed(QListViewItem *listItem, const QPoint &point, int i);
  void slotClearFinished();
  void slotClearAllStoppedTransfers();
  void slotFileError( const QString &filename, const QString &error );
  void slotClear();
  void slotStopTransfer();
signals:
  void signalStopTransfer();
private:
  QValueList< FileTransferListViewItem* > itemList;
};


class FileTransferListViewPopup : public QPopupMenu 
{
  Q_OBJECT
   
  public:
  FileTransferListViewPopup(QWidget *parent = 0, const char *name = 0);
};

#endif

