//FileView.cpp

#include "fileview.h"
#include "fileviewitem.h"

FileView::FileView(QWidget *parent) : QListView(parent) {
  addColumn("Name");
  addColumn("Size");
  addColumn("Last Modified");
  setGeometry(10, 10, 300, 200);
  setMultiSelection(true);
  setSelectionMode(QListView::Extended);
  setColumnAlignment(1, Qt::AlignRight);
  setShowSortIndicator(TRUE);
  setAllColumnsShowFocus(TRUE);
  setSelectionMode(Extended);
}


void FileView::slotInsert(const QValueList<QUrlInfo> &info) {  
  QValueList<QUrlInfo>::ConstIterator iter;
  for(iter = info.begin(); iter != info.end(); ++iter) {
    if(!(*iter).isSymLink() && !(*iter).isSymLink() && (*iter).name() != "." && (*iter).name() != "..")
      new FileViewItem(this, (*iter));
  }
}

QValueList<QUrlInfo> FileView::selectedItems() const {
  QValueList<QUrlInfo> selectedList;
  QListViewItemIterator it((QListView*)this);
  for (; it.current(); ++it) {
    if (it.current()->isSelected() && ((FileViewItem*)it.current())->entryInfo().isFile()) {
      selectedList << ((FileViewItem*)it.current())->entryInfo();
    }
  }
  return selectedList;
}

QValueList<QUrlInfo> FileView::selectedItemsForDel() const {
  QValueList<QUrlInfo> selectedList;
  QListViewItemIterator it((QListView*)this);
  for (; it.current(); ++it) 
    if (it.current()->isSelected()) {
      selectedList << ((FileViewItem*)it.current())->entryInfo();
    }
  return selectedList;
}

FileViewPopup::FileViewPopup(QWidget *parent, const char *name) : QPopupMenu(parent, name) {
  insertItem("Refresh", parent, SLOT(slotRefresh()));
  insertItem("Make dir", parent, SLOT(slotMakedir()));
  insertItem("Rename", parent, SLOT(slotRename()));
  insertItem("Delete", parent, SLOT(slotDelete()));
  insertItem("Mark all", parent, SLOT(slotMarkAll()));
  insertSeparator(2); 
}
