// FileViewWidget.h 
#ifndef _FILEVIEWWIDGET_H_
#define _FILEVIEWWIDGET_H_

#include <qurloperator.h>
#include <qvbox.h>
#include <qcombobox.h>
#include <qstring.h>
#include "fileview.h"

class QListViewItem;
class ConnectionInformationText;
class FtpBase;

class FileWidget : public QVBox
{
  Q_OBJECT
  public:
  FileWidget(QWidget *parent = 0, const char *name = 0, FileWidget* = NULL);
  void init();
  char* getEnvHome();
  QUrlOperator getUrl(); 
  void setOtherFw(FileWidget*);
  QUrlOperator adress();
  void connectToFtp(QString&, QString&, QString&, int);  
  void setWidgetParent(FtpBase*);
  void setReferens( ConnectionInformationText *ref );

  public slots:
  void slotChangeDir(QListViewItem *);
  void slotComboBoxEnter(const QString &);
  void slotUpDownload();
  void slotDisconnect();
  void slotRightPressed(QListViewItem *, const QPoint &, int);
  void slotMakedir();
  void slotRefresh();
  void slotDelete();
  void slotRename();
  void slotMarkAll();
  void slotDirUp();
  void slot_nextToCopy();
  void slotStateChanged(int, const QString&);
  void slotUppdateTransfer( int bytesDone, int bytesTotal, QNetworkOperation * op);
  void slotStart( QNetworkOperation * op );
  void slotFinished ( QNetworkOperation * op );
  void slotStopTransfer();

 signals:
  void signalTransferInfo( const QString &filename, int bytesDone, int bytesTotal );
  void signalNewItem( const QString &filename );
  void signalFileError( const QString &, const QString & );
  void signal_nextToCopy();

private:
  QUrlOperator url, oldUrl;
  FileWidget *otherFw;
  FileView *fileView;
  QComboBox *comboBox;
  ConnectionInformationText *_referens;
  char *home;
  FtpBase *widgetParent;
  QValueList<QUrlInfo> selectedFiles;
};

#endif
