#ifndef FTPBASE_H
#define FTPBASE_H

#include <qvariant.h>
#include <qmainwindow.h>

class QLabel;
class QVBoxLayout; 
class QPushButton;
class QMenuBar;
class QString;
class QToolButton;

class FileWidget;
class ConnectionInformationText;
class FileTransferListView;

class FtpBase : public QMainWindow
{ 
    Q_OBJECT
public:
    FtpBase( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );     
    ~FtpBase();
    void changeBtnState(bool);
    
private slots:
    void slot_dialog();
    void slot_about();
    void slot_aboutQt();
    void slot_connect();

private:
    void setupFtpView();
    void setupTopInfoView();
    void setupBottomInfoView();
    void setupMenuBar();

private:
    FileWidget *_lstLocalFiles; 
    FileWidget *_lstServerFiles;
    ConnectionInformationText *_txtConnectionInformation; 
    FileTransferListView *_fileTransferListView; 
    QToolButton *_btnRight;
    QToolButton *_btnLeft;
 
    QString _strHostName;
    QString _strUserName;
    QString _strPassword;
    unsigned int _intPortNumber;
    
    QLabel *_lblHostName;
    QLabel *_lblPortNumber;
    QLabel *_lblUserName;
    
    QMenuBar *_menubar;
    QPushButton *_cmdConnect;

protected:

    QVBoxLayout* _ftpBaseLayout;
};

#endif // FTPBASE_H
