//settingsdialog.h

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H
#include <qdialog.h>
#include <qlistview.h>

class QSpinBox;
class QComboBox;
class QLineEdit;
class QLabel;
class QListView;
class QVBoxLayout;
class QHBoxLayout;
class QFrame;
class FavouritesListView;
class ComboBoxLoadText;

class SettingsDialog : public QDialog
{
  Q_OBJECT
 public:
  SettingsDialog(QWidget *parent = 0, const char *name = 0, bool modal = FALSE, WFlags f = 0);
  ~SettingsDialog();
  QString getPath();

 private:  
  void setupDir();
  void setupFavourites();
  void setupInputFields();

 public slots:
  void slot_addGenre();
  void slot_addHostName();
  void slot_erase();
  void slot_OK();
  void slot_displayInfo( QListViewItem *);
 private:

  //Path:
  QString _path;

  //Frames:
  QFrame *_favouritesFrame;
  QFrame *_addressFrame;
  

  //Layouts:
  QVBoxLayout *_settingsDialogLayout;  
  QHBoxLayout *_favouritesFrameLayout;
  QVBoxLayout *_favouritesButtonsLayout;
  QVBoxLayout *_addressFrameLayout;
  QHBoxLayout *_addressInfoLayout;
  QVBoxLayout *_addressInfoLabelLayout;
  QVBoxLayout *_addressInfoInputLayout;
  QHBoxLayout *_addressButtonsLayout;
  
  FavouritesListView *_listFavourites;

  QPushButton *_cmdAddGenre;
  QPushButton *_cmdAddHostName;
  QPushButton *_cmdErase;
  QPushButton *_cmdOK;
  QPushButton *_cmdCancel;

  QLabel *_lblPortNumber;
  QLabel *_lblUserName;
  QLabel *_lblPassword;
  QLabel *_lblHostName;

  QSpinBox *_spinPortNumber;
  
  QComboBox *_cmbUserName;
  ComboBoxLoadText *_cmbHostName;

  QLineEdit *_linePassword;
};

#endif

 
  

 
